be.ehealth.businessconnector.ehbox.v3.session.impl

## Class EhealthBoxServiceV3Impl

- java.lang.Object
- - be.ehealth.businessconnector.ehbox.v3.session.impl.EhealthBoxServiceV3Impl

- All Implemented Interfaces:
    EhealthBoxServiceV3

      public class EhealthBoxServiceV3Impl
      extends Object
      implements EhealthBoxServiceV3

  Implementation of `EhealthBoxServiceV3`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EhealthBoxServiceV3Impl(SessionValidator sessionValidator, EhboxReplyValidator replyValidator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeleteMessageResponse` | `deleteMessage(DeleteMessageRequest request)` delete specific message.
    `DeleteOoOResponse` | `deleteOoO(DeleteOoORequest request)` delete specific OoO périod.
    `GetAllEhboxesMessagesListResponse` | `getAllEhboxesMessagesList(GetAllEhboxesMessagesListRequest request)` retrieves all messages from all mailboxes for user.
    `GetBoxInfoResponse` | `getBoxInfo(GetBoxInfoRequest getBoxInfoRequest)` To retrieve general information relation to the eHealth Box of the General Practitioner: number of messages, total size of all available messages, etc.).
    `GetFullMessageResponse` | `getFullMessage(GetFullMessageRequest request)` Retrieves the entire message from the eHealth Box based on its unique identifier.
    `GetFullMessageResponse` | `getFullMessage(MessageRequestType request)` Deprecated.
    `GetMessageAcknowledgmentsStatusResponse` | `getMessageAcknowledgmentsStatusRequest(GetMessageAcknowledgmentsStatusRequest request)` Gets the acknowlegment status.
    `GetHistoryResponse` | `getMessageHistory(GetHistoryRequest request)` With the 'Get History' operation, a messages history can be consulted.
    `GetHistoryResponse` | `getMessageHistory(MessageRequestType request)` With the 'Get History' operation, a messages history can be consulted.
    `GetMessagesListResponse` | `getMessageList(GetMessagesListRequest request)` The �Get message List� operation retrieves the list of messages in one of the available folders (inbox, bin or sent).
    `GetOoOListResponse` | `getOoOList(GetOoOListRequest request)` get list of periods of OoO for specific user.
    `InsertOoOResponse` | `insertOoO(InsertOoORequest request)` insert Out Of Office period.
    `MoveMessageResponse` | `moveMessage(MoveMessageRequest request)` Moves a message back to the inbox.
    `SendMessageResponse` | `sendMessage(SendMessageRequest sendMessageRequest)` The �Send Message� operation allows a message to be sent to one or more recipients.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EhealthBoxServiceV3Impl

          public EhealthBoxServiceV3Impl(SessionValidator sessionValidator,
                                         EhboxReplyValidator replyValidator)
                                  throws TechnicalConnectorException,
                                         EhboxBusinessConnectorException

      Parameters:
        `sessionValidator` -
        `replyValidator` -
      Throws:
        `TechnicalConnectorException`
        `EhboxBusinessConnectorException`

  - ### Method Detail

    - #### sendMessage

          public final SendMessageResponse sendMessage(SendMessageRequest sendMessageRequest)
                                                throws ConnectorException

      Description copied from interface: `EhealthBoxServiceV3`

      The �Send Message� operation allows a message to be sent to one or more recipients. The sender has to be option to:

      - Provide one or more recipients (parameter �destinationContexts� provided as part of the request)
      - Send the new message in reply of an existing message to all original recipients, including the sender (parameter �messageIdForReplyToAll� provided as part of the request)
      - Send the new message in reply of an existing message to the original sender (parameter 'messageIdForReply' provided as part of the request)
      Only one of the above parameters can be present.
      Specified by:
        `sendMessage` in interface `EhealthBoxServiceV3`
      Returns:
        Response containing an id, the status and the publication ID.
      Throws:
        `ConnectorException`
      See Also:
        `EhealthBoxServiceV3.sendMessage(be.fgov.ehealth.ehbox.publication.protocol.v3.SendMessageRequest)`

    - #### getBoxInfo

          public final GetBoxInfoResponse getBoxInfo(GetBoxInfoRequest getBoxInfoRequest)
                                              throws ConnectorException

      Description copied from interface: `EhealthBoxServiceV3`

      To retrieve general information relation to the eHealth Box of the General Practitioner: number of messages, total size of all available messages, etc.).

      Specified by:
        `getBoxInfo` in interface `EhealthBoxServiceV3`
      Returns:
        Details about the inbox.
      Throws:
        `ConnectorException`
      See Also:
        `EhealthBoxServiceV3.getBoxInfo(be.fgov.ehealth.ehbox.consultation.protocol.v3.GetBoxInfoRequest)`

    - #### getMessageList

          public final GetMessagesListResponse getMessageList(GetMessagesListRequest request)
                                                       throws ConnectorException

      Description copied from interface: `EhealthBoxServiceV3`

      The �Get message List� operation retrieves the list of messages in one of the available folders (inbox, bin or sent). The result contains a list of available messages, but only with partial information. To retrieve the entire message contents, the 'Get Full Message' operation must be invoked.

      Specified by:
        `getMessageList` in interface `EhealthBoxServiceV3`
      Parameters:
        `request` - Indicates the folder for which the list of messages is returned (inbox, bin, sent).
      Returns:
        A list of Messages for the specified folder.
      Throws:
        `ConnectorException`
      See Also:
        `EhealthBoxServiceV3.getMessageList(be.fgov.ehealth.ehbox.consultation.protocol.v3.GetMessagesListRequest)`

    - #### getFullMessage

          @Deprecated
          public final GetFullMessageResponse getFullMessage(MessageRequestType request)
                                                                   throws ConnectorException

      Deprecated.
      Description copied from interface: `EhealthBoxServiceV3`

      Retrieves the entire message from the eHealth Box based on its unique identifier. Typically, first a list of new messages is retrieved via the 'Get Message List' operation and afterwards the individual message is claimed via this operation.

      Specified by:
        `getFullMessage` in interface `EhealthBoxServiceV3`
      Parameters:
        `request` - The message id.
      Returns:
        Information about the Sender and Message.
      Throws:
        `ConnectorException`
      See Also:
        `EhealthBoxServiceV3.getFullMessage(be.fgov.ehealth.ehbox.consultation.protocol.v3.MessageRequestType)`

    - #### getFullMessage

          public GetFullMessageResponse getFullMessage(GetFullMessageRequest request)
                                                throws ConnectorException

      Description copied from interface: `EhealthBoxServiceV3`

      Retrieves the entire message from the eHealth Box based on its unique identifier. Typically, first a list of new messages is retrieved via the 'Get Message List' operation and afterwards the individual message is claimed via this operation.

      Specified by:
        `getFullMessage` in interface `EhealthBoxServiceV3`
      Parameters:
        `request` - The message id.
      Returns:
        Information about the Sender and Message.
      Throws:
        `ConnectorException`
      See Also:
        `EhealthBoxServiceV3.getFullMessage(be.fgov.ehealth.ehbox.consultation.protocol.v3.GetFullMessageRequest)`

    - #### moveMessage

          public final MoveMessageResponse moveMessage(MoveMessageRequest request)
                                                throws ConnectorException

      Description copied from interface: `EhealthBoxServiceV3`

      Moves a message back to the inbox. The unique message identifier must be provided as input parameter.

      Specified by:
        `moveMessage` in interface `EhealthBoxServiceV3`
      Parameters:
        `request` - The message id.
      Returns:
        Status of the operation.
      Throws:
        `ConnectorException`
      See Also:
        `EhealthBoxServiceV3.moveMessage(be.fgov.ehealth.ehbox.consultation.protocol.v3.MoveMessageRequest)`

    - #### getMessageHistory

          public final GetHistoryResponse getMessageHistory(MessageRequestType request)
                                                     throws ConnectorException

      Description copied from interface: `EhealthBoxServiceV3`

      With the 'Get History' operation, a messages history can be consulted.

      Specified by:
        `getMessageHistory` in interface `EhealthBoxServiceV3`
      Parameters:
        `request` - The message id.
      Returns:
        List of MessageId from the older message versions.
      Throws:
        `ConnectorException`
      See Also:
        `EhealthBoxServiceV3.getMessageHistory(be.fgov.ehealth.ehbox.consultation.protocol.v3.MessageRequestType)`

    - #### getMessageHistory

          public GetHistoryResponse getMessageHistory(GetHistoryRequest request)
                                               throws ConnectorException

      Description copied from interface: `EhealthBoxServiceV3`

      With the 'Get History' operation, a messages history can be consulted.

      Specified by:
        `getMessageHistory` in interface `EhealthBoxServiceV3`
      Parameters:
        `request` - The message id.
      Returns:
        List of MessageId from the older message versions.
      Throws:
        `ConnectorException`
      See Also:
        `EhealthBoxServiceV3.getMessageHistory(be.fgov.ehealth.ehbox.consultation.protocol.v3.GetHistoryRequest)`

    - #### getMessageAcknowledgmentsStatusRequest

          public final GetMessageAcknowledgmentsStatusResponse getMessageAcknowledgmentsStatusRequest(GetMessageAcknowledgmentsStatusRequest request)
                                                                                               throws ConnectorException

      Description copied from interface: `EhealthBoxServiceV3`

      Gets the acknowlegment status.

      Specified by:
        `getMessageAcknowledgmentsStatusRequest` in interface `EhealthBoxServiceV3`
      Parameters:
        `request` - the message id.
      Returns:
        The acknowledgement status.
      Throws:
        `ConnectorException`
      See Also:
        `EhealthBoxServiceV3.getMessageAcknowledgmentsStatusRequest(be.fgov.ehealth.ehbox.consultation.protocol.v3.GetMessageAcknowledgmentsStatusRequest)`

    - #### deleteMessage

          public final DeleteMessageResponse deleteMessage(DeleteMessageRequest request)
                                                    throws ConnectorException

      Description copied from interface: `EhealthBoxServiceV3`

      delete specific message.

      Specified by:
        `deleteMessage` in interface `EhealthBoxServiceV3`
      Parameters:
        `request` - the message id
      Returns:
        status in DeleteMessageResponse
      Throws:
        `Exception`
        `SessionManagementException`
        `ConnectorException`
      See Also:
        `EhealthBoxServiceV3.deleteMessage(be.fgov.ehealth.ehbox.consultation.protocol.v3.DeleteMessageRequest)`

    - #### insertOoO

          public final InsertOoOResponse insertOoO(InsertOoORequest request)
                                            throws ConnectorException

      Description copied from interface: `EhealthBoxServiceV3`

      insert Out Of Office period.

      Specified by:
        `insertOoO` in interface `EhealthBoxServiceV3`
      Parameters:
        `request` - user and period of OoO
      Returns:
        status in InsertOoOResponse
      Throws:
        `ConnectorException`
      See Also:
        `EhealthBoxServiceV3.insertOoO(be.fgov.ehealth.ehbox.consultation.protocol.v3.InsertOoORequest)`

    - #### getOoOList

          public final GetOoOListResponse getOoOList(GetOoOListRequest request)
                                              throws ConnectorException

      Description copied from interface: `EhealthBoxServiceV3`

      get list of periods of OoO for specific user.

      Specified by:
        `getOoOList` in interface `EhealthBoxServiceV3`
      Parameters:
        `request` - user id
      Returns:
        list of OoO in GetOoOListResponse
      Throws:
        `ConnectorException`
      See Also:
        `EhealthBoxServiceV3.getOoOList(be.fgov.ehealth.ehbox.consultation.protocol.v3.GetOoOListRequest)`

    - #### deleteOoO

          public final DeleteOoOResponse deleteOoO(DeleteOoORequest request)
                                            throws ConnectorException

      Description copied from interface: `EhealthBoxServiceV3`

      delete specific OoO périod.

      Specified by:
        `deleteOoO` in interface `EhealthBoxServiceV3`
      Parameters:
        `request` - period OoO id
      Returns:
        status in DeleteOoOResponse
      Throws:
        `ConnectorException`
      See Also:
        `EhealthBoxServiceV3.deleteOoO(be.fgov.ehealth.ehbox.consultation.protocol.v3.DeleteOoORequest)`

    - #### getAllEhboxesMessagesList

          public final GetAllEhboxesMessagesListResponse getAllEhboxesMessagesList(GetAllEhboxesMessagesListRequest request)
                                                                            throws TechnicalConnectorException,
                                                                                   EhboxBusinessConnectorException,
                                                                                   ConnectorException

      Description copied from interface: `EhealthBoxServiceV3`
      retrieves all messages from all mailboxes for user.
      Specified by:
        `getAllEhboxesMessagesList` in interface `EhealthBoxServiceV3`
      Returns:
      Throws:
        `TechnicalConnectorException`
        `EhboxBusinessConnectorException`
        `ConnectorException`
      See Also:
        `EhealthBoxServiceV3.getAllEhboxesMessagesList(be.fgov.ehealth.ehbox.consultation.protocol.v3.GetAllEhboxesMessagesListRequest)`

Connector Packaging PERSDIETICIAN 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.